From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 18 October 2005<P>

E-Gads somebody say something haaaaaaaa<BR>
<BR>
bk
<HR>
From: <a href="/blend/av.cgi?id=23">Kirk</a><BR>
Date: 18 October 2005<P>

I'm spending a week of vacation at home....just relaxing and trying to catch up with some projects, cleaning the house etc. Though I'm spending a bit too much time on this one videogame "Mercenaries"...
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 18 October 2005<P>

I did that last week. And I could use another month of it. I may do it again at xmas or carry over the hours for a month of vacation next year. Have fun with it.<BR>
<BR>
bk
<HR>
From: <a href="/blend/av.cgi?id=517">musicalduck</a><BR>
Date: 18 October 2005<P>

i'm just him - I really like "When men love" it describes exactly what i'm going through right now.<BR>
Thanks for writing it.
<HR>